@charset "utf-8";

* {
	box-sizing: border-box;
}

.close_btn {
	border-radius: 50%;
	width: 30px;
	height: 30px;
	border: 1px solid #484848;
	transition: all .5s ease-out;
	pointer-events: none;
}

.close_btn::before,
.close_btn::after {
	content: '';
	width: 66.66%;
	height: 1px;
	background-color: #484848;
	display: block;
	position: absolute;
	top: 50%;
	left: 50%;
}

.close_btn::before {
	transform: translate(-50%, -50%) rotateZ(45deg);
}

.close_btn::after {
	transform: translate(-50%, -50%) rotateZ(-45deg);
}


/* 上方選單 - 手機板 */
@media screen and (min-width:900px) and (max-width: 1200px) {

	.nav ul li,
	.nav-block ul {
		width: 100px;
	}

	.nav-block ul:nth-child(1) {
		right: 400px;
	}

	.nav-block ul:nth-child(2) {
		right: 300px;
	}

	.nav-block ul:nth-child(3) {
		right: 200px;
	}

	.nav-block ul:nth-child(4) {
		right: 100px;
	}

	.nav-block ul:nth-child(5) {
		right: 0px;
	}
}

@media screen and (max-width:899px) {
	#menuBtn {
		display: block;
		position: absolute;
		z-index: 200;
		top: 14px;
		right: 25px;
		width: 25px;
		height: 33px;
		background: linear-gradient(to bottom, transparent 0, transparent 15px, #FFF 15px, #FFF 17px, transparent 17px);
		padding: 0;
		transition: .3s;
		cursor: pointer;
		user-select: none;
		pointer-events: none;
	}

	#menuBtn.on {
		pointer-events: auto;
	}

	#menuBtn::before,
	#menuBtn::after {
		content: '';
		position: absolute;
		left: 0;
		width: 100%;
		height: 2px;
		background-color: #fff;
	}

	#menuBtn::before {
		top: 7px;
	}

	#menuBtn::after {
		bottom: 8px;
	}

	.header_height {
		position: relative;
		z-index: 2000;
		height: 0 !important;
	}

	.nav.nav_slide {
		background-color: rgba(0, 0, 0, 0);
		position: absolute;
		right: -100%;
		top: 0;
		bottom: 0;
		width: 100%;
		height: 100vh;
		/*opacity: 0;*/
		transition: background-color .5s ease-out;
	}

	.nav.nav_slide.active {
		/*width: 100vw;*/
		right: 0;
		/*opacity: 1;*/
		background-color: rgba(0, 0, 0, .3);
	}

	.nav.nav_slide ul {
		display: block;
		position: absolute;
		background-color: #fff;
		margin-left: auto;
		width: 170px;
		height: 100vh;
		padding-top: 20px;
		right: -170px;
	}

	.nav.nav_slide.active ul {
		width: 170px;
		right: 0;
		transition: right 0s 0s;
		margin-right: auto;
	}

	.nav.nav_slide li {
		display: block;
		width: 100%;
		text-align: left;
		padding-left: 20px;
	}

	.nav.nav_slide li a {
		display: inline-block;
		color: #007C7E;
		font-size: 18px;
		font-weight: bold;
		border-bottom: 1px solid #007C7E;
		height: auto;
	}

	.nav.nav_slide ul li.active a {
		background-color: unset;
	}

	.nav.nav_slide .nav-arrow::before {
		content: '▸';
		font-size: 20px;
		line-height: 29px;
		color: #007C7E;
		padding-left: 0.1em
	}

	.nav.nav_slide ul li.active .nav-arrow::before {
		content: '▾';
	}

	.nav.nav_slide .close_btn {
		position: absolute;
		top: 10px;
		right: -30px;
		border-color: #22BFB1;
		border-width: 2px;
		opacity: 0;
	}

	.nav.nav_slide.active .close_btn {
		right: 10px;
		position: absolute;
		z-index: 3;
		opacity: 1;
		transition: opacity 0s 0s ease-out;
	}

	.nav.nav_slide .close_btn::before,
	.nav.nav_slide .close_btn::after {
		background-color: #22BFB1;
		height: 2px;
	}

	.nav.nav_slide.active .close_btn {
		pointer-events: auto;
	}

	.nav-outer.nav_slide {
		display: none;
	}

	.nav-outer.nav_slide.active {
		display: inherit;
		position: absolute;
		top: 0;
		right: 0;
		z-index: 200;
		margin-left: auto;
		width: 170px;
	}

	.nav-outer.nav_slide .nav-block {
		display: block;
		position: absolute;
		padding: 0;
		top: 0 !important;
		bottom: 0;
		right: 0;
		margin: auto;
	}

	.nav-outer.nav_slide .nav-block ul.active {
		position: absolute;
		left: 0;
		right: 0;
		overflow: visible;
		background-color: #D9FFF3;
		max-height: none;
		padding: 10px 0;
		width: 80%;
		box-shadow: none;
		margin: 0 auto 0 20px;
		line-height: 18px;
	}

	.nav-outer.nav_slide .nav-block ul li {
		background-color: #D9FFF3;
		color: #FFF;
	}

	.nav-outer.nav_slide .nav-block ul.active li {
		height: auto;
		padding: 10px 0;
		margin: 0;
		border: none;
	}

	.nav-outer.nav_slide .nav-block ul.active li a {
		color: #22BFB1;
		font-size: 16px;
	}

	.nav-block ul li:after {
		border-bottom: none;
	}
}



/* 20190809 Jurny修改 解決主選單壓到內容的狀態*/
.index_root {
	padding-top: 60px;
}

@media screen and (min-width:900px) {
	.index_root {
		padding-top: 0px;
	}
}